# 18. التغيير: إنشاء أرشيف zip مع "ZonesMap" و"Field"

إنشاء أرشيف مضغوط يحتوي على "خريطة المناطق" المختارة وحدود "الحقل".

بعد تنفيذ استعلام GraphQL، يمكن للمستخدمين الحصول على أرشيف مضغوط من خاصية `archiveUrl` والمحتوى المُصدَّر مع `مضغوط` و `تجاهل` صفوف.

{% hint style="info" %}
يتألف الأرشيف من ملفات \*.shp و \*.shx و \*.prj و \*.dbf.
{% endhint %}

{% hint style="danger" %}
`archiveUrl` الرابط متاح فقط لمدة **60 ثانية**.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ExportData {
  exportData(input: {
    vectorAnalysisMaps: [{ 
      uuid: "<placeholder_of_vectoranalysismap_uuid_1>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }, { 
      uuid: "<placeholder_of_vectoranalysismap_uuid_2>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }]
    fieldBoundaries: [{
      uuid: "<placeholder_of_farm_uuid>", 
      fieldUuid: "<placeholder_of_field_uuid>"
    }]
  }) {
    archiveUrl
    zippedVectorAnalysisMaps {
      uuid
      معرف_الحقل
      status
    }
    ignoredVectorAnalysisMaps {
      uuid
      معرف_الحقل
      status
    }
    zippedFieldBoundaries {
      uuid
      معرف_الحقل
      status
    }
    ignoredFieldBoundaries {
      uuid
      معرف_الحقل
      status
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/18.-altghyyr-inshaa-arshyf-zip-ma-zonesmap-w-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
